码迷,mamicode.com
首页 > 系统相关 > 详细

更新archlinux

时间:2017-01-12 13:25:32      阅读:295      评论:0      收藏:0      [点我收藏+]

标签:net   ext   lxde   blocks   vfs   bss   res   packages   extra   

有个上网本,虽然配置很差,但是安装的是arch,这不长时间不滚动更新出问题了,

技术分享
 1 :: Proceed with installation? [Y/n] 
 2 (247/247) checking keys in keyring                                                      [##################################################] 100%
 3 (247/247) checking package integrity                                                    [##################################################] 100%
 4 error: jasper: signature from "Levente Polyak (anthraxx) <[email protected]>" is unknown trust
 5 :: File /var/cache/pacman/pkg/jasper-2.0.10-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
 6 Do you want to delete it? [Y/n] n
 7 error: krb5: signature from "Levente Polyak (anthraxx) <[email protected]>" is unknown trust
 8 :: File /var/cache/pacman/pkg/krb5-1.13.7-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
 9 Do you want to delete it? [Y/n] n
10 error: libpsl: signature from "Levente Polyak (anthraxx) <[email protected]>" is unknown trust
11 :: File /var/cache/pacman/pkg/libpsl-0.16.1-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
12 Do you want to delete it? [Y/n] n
13 error: libwmf: signature from "Levente Polyak (anthraxx) <[email protected]>" is unknown trust
14 :: File /var/cache/pacman/pkg/libwmf-0.2.8.4-14-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
15 Do you want to delete it? [Y/n] n
16 error: shutter: signature from "Levente Polyak (anthraxx) <[email protected]>" is unknown trust
17 :: File /var/cache/pacman/pkg/shutter-0.93.1-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
18 Do you want to delete it? [Y/n] n
19 error: failed to commit transaction (invalid or corrupted package)
20 Errors occurred, no packages were upgraded.
View Code

 

百度关键词signature from   archlinux

 

百度贴吧的解决方法是

1 # pacman-key --init
2 # pacman-key --populate

失败

想通过卸载的方式结果

技术分享
 1 [[email protected] ~]$ sudo pacman -Rcn jasper
 2 checking dependencies...
 3 :: avahi optionally requires gtk3: avahi-discover-standalone, bshell, bssh, bvnc
 4 :: avahi optionally requires gtk2: gtk2 bindings
 5 :: avahi optionally requires pygtk: avahi-bookmarks, avahi-discover
 6 :: gegl02 optionally requires librsvg: svg plugin
 7 :: gegl02 optionally requires jasper: jasper plugin
 8 :: imagemagick optionally requires ghostscript: for Ghostscript support
 9 :: imagemagick optionally requires librsvg: for SVG support
10 :: libwmf optionally requires gdk-pixbuf2: for pixbuf loader
11 :: lxde-common optionally requires lxde-icon-theme: default icon theme
12 :: pinentry optionally requires gtk2: gtk2 backend
13 :: pinentry optionally requires gcr: gnome3 backend
14 :: xdg-utils optionally requires libgnome: for GNOME support in xdg-open
15 :: xdg-utils optionally requires pcmanfm: for LXDE support in xdg-open
16 
17 Packages (68) adwaita-icon-theme-3.20-2  bluefish-2.2.9-1  chromium-53.0.2785.116-1  emacs-25.1-1  evince-3.20.1-2  fcitx-4.2.9.1-2
18               fcitx-gtk2-4.2.9.1-2  fcitx-gtk3-4.2.9.1-2  fcitx-qt4-4.2.9.1-2  file-roller-3.20.3-1  flashplugin-11.2.202.635-1  gcr-3.20.0-2
19               gdk-pixbuf2-2.34.0-2  gedit-3.20.2-1  ghostscript-9.19-3  gnome-desktop-1:3.20.2-1  gnome-perl-1.045-4  gnome-vfs-perl-1.082-4
20               gnomecanvas-perl-1.002-14  goocanvas1-1.0.0-3  gpicview-0.2.5-2  gspell-1.0.3-1  gtk-engines-2.21.0-3
21               gtk-update-icon-cache-3.20.9-1  gtk2-2.24.31-1  gtk2-perl-1.2498-2  gtk3-3.20.9-1  gtkimageview-1.6.4-4  gtksourceview3-3.20.4-1
22               gvfs-1.28.3-1  libbonoboui-2.24.5-3  libfm-gtk2-1.2.4-2  libglade-2.6.4-5  libgnome-2.32.1-6  libgnomecanvas-2.30.3-3
23               libgnomeui-2.24.5-2  libkeybinder2-0.3.1-1  libnotify-0.7.6-2  libpeas-1.18.0-2  librsvg-2:2.40.16-1  libspectre-0.2.8-1
24               libunique-1.1.6-6  libwnck-2.31.0-1  lxappearance-0.6.2-1  lxappearance-obconf-0.2.3-1  lxde-icon-theme-0.5.1-3  lxdm-0.5.3-3
25               lxinput-0.3.5-1  lxlauncher-0.2.5-1  lxmusic-0.4.7-1  lxpanel-0.8.2-1  lxrandr-0.3.1-1  lxsession-1:0.5.2-2  lxtask-0.1.7-1
26               lxterminal-0.2.0-3  network-manager-applet-1.4.0-1  nm-connection-editor-1.4.0-1  obconf-2.0.4-4  openbox-3.6.1-3  pcmanfm-1.2.4-2
27               perl-gnome2-wnck-0.16-11  perl-goo-canvas-0.06-7  perl-gtk2-imageview-0.05-7  perl-gtk2-unique-0.05-13  pygtk-2.24.0-6
28               shutter-0.93.1-2  vte-0.28.2-8  jasper-1.900.1-15
29 
30 Total Removed Size:  678.11 MiB
31 
32 :: Do you want to remove these packages? [Y/n] n
View Code

 

查看wiki看到

Signature from "User <[email protected]>" is unknown trust, installation failed
查看pacman-key#Resetting all the keys. 或试试:
更新已知密钥:pacman-key --refresh-keys;
手动升级archlinux-keyring软件包:pacman -S archlinux-keyring.

 

这么做了之后,好像报错变了,也许不是这么做导致的,无论如何,下面的新错误是

技术分享
 1 Total Installed Size:  1787.46 MiB
 2 Net Upgrade Size:        37.77 MiB
 3 
 4 :: Proceed with installation? [Y/n] 
 5 (246/246) checking keys in keyring                                                      [##################################################] 100%
 6 (246/246) checking package integrity                                                    [##################################################] 100%
 7 (246/246) loading package files                                                         [##################################################] 100%
 8 (246/246) checking for file conflicts                                                   [##################################################] 100%
 9 error: failed to commit transaction (conflicting files)
10 ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans-mono.conf exists in filesystem
11 ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans.conf exists in filesystem
12 ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-serif.conf exists in filesystem
13 ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans-mono.conf exists in filesystem
14 ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans.conf exists in filesystem
15 ttf-dejavu: /etc/fonts/conf.d/57-dejavu-serif.conf exists in filesystem
16 Errors occurred, no packages were upgraded.
View Code

之后又测试了先更新tzdata,然后更新pacman,发现pacman并没有新版本更新,结果依然如此,那么就采取了强制更新。 正在解决的方案,突然发现有人提到了强制更新,

进展如下

技术分享
 1 extra/xproto                         7.0.29-1                   7.0.31-1                     0.00 MiB
 2 extra/xterm                          325-1                      327-1                        0.00 MiB
 3 core/xz                              5.2.2-1                    5.2.3-1                      0.00 MiB
 4 core/zlib                            1.2.8-4                    1:1.2.8-7                    0.00 MiB
 5 
 6 Total Installed Size:  1785.65 MiB
 7 Net Upgrade Size:        37.76 MiB
 8 
 9 :: Proceed with installation? [Y/n] 
10 (244/244) checking keys in keyring                                                      [##################################################] 100%
11 (244/244) checking package integrity                                                    [##################################################] 100%
12 (244/244) loading package files                                                         [##################################################] 100%
13 (244/244) checking for file conflicts                                                   [##################################################] 100%
14 (245/245) checking available disk space                                                 [##################################################] 100%
15 :: Processing package changes...
16 (1/1) removing fuse                                                                     [##################################################] 100%
17 (  1/244) upgrading iana-etc                                                            [##################################################] 100%
18 (  2/244) upgrading attr                                                                [##################################################] 100%
19 (  3/244) upgrading acl                                                                 [##################################################] 100%
20 (  4/244) upgrading ncurses                                                             [##################################################] 100%
21 (  5/244) upgrading readline                                                            [##################################################] 100%
22 (  6/244) upgrading zlib                                                                [##################################################] 100%
23 (  7/244) upgrading bash                                                                [##################################################] 100%
View Code

 

更新archlinux

标签:net   ext   lxde   blocks   vfs   bss   res   packages   extra   

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 mamicode.com 版权所有 京ICP备13008772号-2
迷上了代码!